﻿
@model GenresViewModel
@inject GenresViewModel model

@{
    ViewData["Title"] = "Delete Genres";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="DeleteGenres" method="post">
            <div class="col-md-6">
                <h4>Delete movie genres.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="@Model.MovieTitle">Movie Title</label>
                    <input asp-for="@Model.MovieTitle" class="form-control" />
                    <span asp-validation-for="@Model.MovieTitle" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="@Model.Genres">Genres</label>
                    <select asp-for="@Model.Genres" asp-items="model.GenresList" multiple="multiple" class="form-control" size="21"></select>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure you want to delete the selected genres?')">Delete Genres</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

